MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025788Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-02-03 11:162015-05-14 15:31
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025788: Parallelization of the BOP Builder algorithm on second level
DescriptionParallelization of the BOP Builder algorithm on second level.

The attached document shows the measurements of the performance of the most time consuming parts of the Builder algorithm on OCCT test cases.
Steps To Reproduce#Use the following commands to check improvement of the performance:

source zboxholes

bclearobjects; bcleartools;
baddobjects b1
baddtools b2

brunparallel 1

dchrono cpu reset
dchrono cpu start
bcut r b1 b2
dchrono cpu stop
dchrono cpu show
#
#------------------------------------------
#the results obtained [station: PETREX, optimized mode]

branch:
Elapsed time: 0 Hours 0 Minutes 8.09207130119 Seconds

dev:
Elapsed time: 0 Hours 0 Minutes 28.8896280681 Seconds
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug25788
Attached Filesxlsx file icon Builder.xlsx (1,774,528 bytes) 2015-02-03 11:16
? file icon zboxholes (504 bytes) 2015-02-06 07:35

- Relationships

-  Notes
(0037162)
git (administrator)
2015-02-06 07:29

Branch CR25788 has been created by pkv.

SHA-1: 4e0311752a8ae86026b6038fdc9b5c6df2a15f5e


No new revisions were added by this update.
(0037163)
git (administrator)
2015-02-06 07:31

Branch CR25788 has been updated by pkv.

SHA-1: 3ed3243aca398de4b46c4f6649b4833b0bd0be9a


Detailed log of new commits:

Author: pkv
Date: Fri Feb 6 07:31:20 2015 +0300

    v1.0
    I. New features:
    No new features.
    
    II. Changes:
    II.1. class BOPAlgo_Builder
    method:
      void BOPAlgo_Builder::FillIn3DParts
      (BOPCol_DataMapOfShapeListOfShape&,
       BOPCol_DataMapOfShapeShape&,
       const BOPCol_BaseAllocator& )
    has been optimized and
    modified to provide parallel treatment.
    
    III. Modified entities:
    packages:
    BOPAlgo

(0037164)
pkv (developer)
2015-02-06 07:43

Git branch CR25788 is ready to be reviewed.
(0037167)
emv (developer)
2015-02-06 09:17

Reviewed.
(0037171)
git (administrator)
2015-02-06 11:34

Branch CR25788 has been updated forcibly by pkv.

SHA-1: 120c3c9677c5433ae3d19281408d7a8079cb3a5e
(0037175)
git (administrator)
2015-02-06 13:30

Branch CR25788 has been updated forcibly by mkv.

SHA-1: 14500587cd232417fe6dad988acdce21f3551015
(0037179)
mkv (tester)
2015-02-06 14:22

Dear BugMaster,
Branch CR25788 from occt git-repository was compiled on Linux and Windows platforms.
SHA-1: 14500587cd232417fe6dad988acdce21f3551015

There are following compilation errors:
http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25788/job/mnt-CR25788-master_build_occt_linux/1/parsed_console/ [^]
../../../../src/BOPAlgo/BOPAlgo_Builder_3.cxx:484: error: expected initializer before ‘<’ token
../../../../src/BOPAlgo/BOPAlgo_Builder_3.cxx:490: error: expected initializer before ‘<’ token
../../../../src/BOPAlgo/BOPAlgo_Builder_3.cxx: In member function ‘virtual void BOPAlgo_Builder::FillIn3DParts(BOPCol_DataMapOfShapeListOfShape&, BOPCol_DataMapOfShapeShape&, const BOPCol_BaseAllocator&)’:
../../../../src/BOPAlgo/BOPAlgo_Builder_3.cxx:661: error: ‘BOPAlgo_FillIn3DPartsCnt’ has not been declared
make[2]: *** [BOPAlgo_Builder_3.lo] Error 1
(0037185)
git (administrator)
2015-02-06 15:28

Branch CR25788 has been updated by mkv.

SHA-1: ca7cb44bac444523943351fee8ab1a9d81926402


Detailed log of new commits:

Author: mkv
Date: Fri Feb 6 15:28:38 2015 +0300

    Correction of compilation errors

(0037316)
mkv (tester)
2015-02-10 18:40

Dear BugMaster,
Branch CR25788 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: ca7cb44bac444523943351fee8ab1a9d81926402

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25788-master-occt/Debian60-64/bugs/modalg_5/bug25788.html [^]
http://occt-tests/CR25788-master-occt/Windows-32-VC10/bugs/modalg_5/bug25788.html [^]
bugs modalg_5(010) bug25788: OK

Testing on Linux:
occt component :
Total MEMORY difference: 84559893 / 86244247
Total CPU difference: 50908.60999999997 / 47876.559999999845
products component :
Total MEMORY difference: 22945015 / 22989111
Total CPU difference: 15687.729999999981 / 14506.069999999965

Testing on Windows:
occt component :
Total MEMORY difference: 40648799 / 40658496
Total CPU difference: 34839.40625 / 32754.0
products component :
Total MEMORY difference: 11034951 / 11081969
Total CPU difference: 10456.0625 / 10978.125

There are no differences in images found by testdiff.
(0037318)
git (administrator)
2015-02-10 18:41

Branch CR25788 has been updated by mkv.

SHA-1: 4e2c9bb3a162c7282a4a9b48d2aede7dc0e006fe


Detailed log of new commits:

Author: mkv
Date: Tue Feb 10 18:39:47 2015 +0300

    Test cases for issue CR25788

(0037319)
mkv (tester)
2015-02-10 18:41

Dear pkv,
could you please review test case
bugs modalg_5(010) bug25788
(0037339)
pkv (developer)
2015-02-11 11:29

test case
bugs modalg_5(010) bug25788
is reviewed
(0037343)
mkv (tester)
2015-02-11 12:52

Branch CR25788 is TESTED.
(0038592)
git (administrator)
2015-03-18 13:37

Branch CR25788 has been deleted by inv.

SHA-1: 4e2c9bb3a162c7282a4a9b48d2aede7dc0e006fe

- Related Changesets
occt: master 0090ae85
Timestamp: 2015-02-12 08:57:15
Author: pkv
Committer: bugmaster
Details ] Diff ]
0025788: Parallelization of the BOP Builder algorithm on second level

Changes:
class BOPAlgo_Builder
method:
  void BOPAlgo_Builder::FillIn3DParts
  (BOPCol_DataMapOfShapeListOfShape&,
   BOPCol_DataMapOfShapeShape&,
   const BOPCol_BaseAllocator& )
has been optimized and
modified to provide parallel treatment.

Correction of compilation errors

Test cases for issue CR25788
mod - src/BOPAlgo/BOPAlgo_BuilderSolid.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_ShellSplitter.cxx Diff ] File ]
mod - src/BOPTools/BOPTools.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug25788 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-03 11:16 emv New Issue
2015-02-03 11:16 emv Assigned To => pkv
2015-02-03 11:16 emv File Added: Builder.xlsx
2015-02-06 07:29 git Note Added: 0037162
2015-02-06 07:31 git Note Added: 0037163
2015-02-06 07:34 pkv Status new => assigned
2015-02-06 07:35 pkv File Added: zboxholes
2015-02-06 07:39 pkv Steps to Reproduce Updated View Revisions
2015-02-06 07:42 pkv Status assigned => resolved
2015-02-06 07:43 pkv Note Added: 0037164
2015-02-06 07:43 pkv Assigned To pkv => emv
2015-02-06 09:17 emv Note Added: 0037167
2015-02-06 09:17 emv Assigned To emv => mkv
2015-02-06 09:17 emv Status resolved => reviewed
2015-02-06 11:34 git Note Added: 0037171
2015-02-06 13:30 git Note Added: 0037175
2015-02-06 14:22 mkv Note Added: 0037179
2015-02-06 14:22 mkv Assigned To mkv => pkv
2015-02-06 14:22 mkv Status reviewed => assigned
2015-02-06 15:28 git Note Added: 0037185
2015-02-06 16:05 mkv Assigned To pkv => mkv
2015-02-10 18:40 mkv Note Added: 0037316
2015-02-10 18:40 mkv Assigned To mkv => msv
2015-02-10 18:40 mkv Status assigned => resolved
2015-02-10 18:41 git Note Added: 0037318
2015-02-10 18:41 mkv Note Added: 0037319
2015-02-10 18:41 mkv Assigned To msv => pkv
2015-02-10 18:41 mkv Status resolved => feedback
2015-02-10 18:42 mkv Test case number => bugs modalg_5(010) bug25788
2015-02-11 11:29 pkv Note Added: 0037339
2015-02-11 11:30 pkv Assigned To pkv => mkv
2015-02-11 11:30 pkv Status feedback => assigned
2015-02-11 12:52 mkv Note Added: 0037343
2015-02-11 12:52 mkv Assigned To mkv => msv
2015-02-11 12:52 mkv Status assigned => resolved
2015-02-11 12:52 mkv Assigned To msv => bugmaster
2015-02-11 12:52 mkv Status resolved => reviewed
2015-02-11 12:52 mkv Status reviewed => tested
2015-02-13 17:55 bugmaster Changeset attached => occt master 0090ae85
2015-02-13 17:55 bugmaster Status tested => verified
2015-02-13 17:55 bugmaster Resolution open => fixed
2015-03-10 13:00 bugmaster Target Version => 6.9.0
2015-03-18 13:37 git Note Added: 0038592
2015-04-17 11:03 aiv Project Internal => Open CASCADE
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker